Получение информации по товару
curl --request POST \
--url https://seller-api.teez.kz/api/seller/v1/products/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productIds": [
123
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productIds: [123]})
};
fetch('https://seller-api.teez.kz/api/seller/v1/products/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller-api.teez.kz/api/seller/v1/products/details"
payload = { "productIds": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
{
"productId": 123,
"categoryId": 123,
"brandId": 123,
"isLocalMade": true,
"name": {
"rus": "<string>"
},
"description": {
"rus": "<string>"
},
"vat": 123,
"attributes": [
{
"id": 123,
"valueIds": [
123
]
}
],
"skus": [
{
"skuId": 123,
"attributeValueIds": [
123
],
"price": 123,
"skuBarcode": "<string>",
"photos": [
{
"url": "<string>",
"order": 123
}
]
}
]
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"errors": {}
}Products
Получение информации по товару
POST
/
api
/
seller
/
v1
/
products
/
details
Получение информации по товару
curl --request POST \
--url https://seller-api.teez.kz/api/seller/v1/products/details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productIds": [
123
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productIds: [123]})
};
fetch('https://seller-api.teez.kz/api/seller/v1/products/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller-api.teez.kz/api/seller/v1/products/details"
payload = { "productIds": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"products": [
{
"productId": 123,
"categoryId": 123,
"brandId": 123,
"isLocalMade": true,
"name": {
"rus": "<string>"
},
"description": {
"rus": "<string>"
},
"vat": 123,
"attributes": [
{
"id": 123,
"valueIds": [
123
]
}
],
"skus": [
{
"skuId": 123,
"attributeValueIds": [
123
],
"price": 123,
"skuBarcode": "<string>",
"photos": [
{
"url": "<string>",
"order": 123
}
]
}
]
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"errors": {}
}⌘I